unit eBob42.Register;
interface

procedure Register;

implementation
uses
  Classes, Controls, StdCtrls, DB, 
  eBob42.Euro,
  eBob42.MultiLineButton,
  eBob42.RightEdit,
  eBob42.ShadingLabel,
  eBob42.DBRecordInfo,
  eBob42.DBSpinEdit,
  eBob42.DBDateTimePicker,
  eBob42.PropertyEditors,
  eBob42.ComponentEditors,
  DesignIntf;

procedure Register;
begin
  RegisterComponents('eBob42', [TEuro]);
  RegisterComponents('eBob42', [TMultiLineButton]);
  RegisterPropertyInCategory('Visual', TMultiLineButton, 'MultiLine');
  RegisterComponents('eBob42', [TRightEdit]);
  RegisterComponents('eBob42', [TShadingLabel]);
  RegisterPropertyInCategory('Visual', TShadingLabel, 'Offset');
  RegisterPropertyInCategory('Visual', TypeInfo(TLabelStyle), 'LabelStyle');
  RegisterComponents('eBob42', [TDBRecordInfo]);
  RegisterComponents('eBob42', [TDBSpinEdit]);
  RegisterComponents('eBob42', [TDBDateTimePicker]);
  RegisterPropertyEditor(TypeInfo(String), TComponent, 'Helpfile', THelpFileProperty);
  RegisterPropertyEditor(TypeInfo(TDate), TComponent, 'Date', TDatePickerProperty);
  RegisterPropertyEditor(TypeInfo(TCaption), TComponent, 'Caption', TMultiLineStringProperty);
  RegisterPropertyEditor(TypeInfo(String), TComponent, 'Hint', TMultiLineStringProperty);
  RegisterPropertiesInCategory('Database', TComponent, ['*Field']);
  RegisterPropertyEditor(TypeInfo(String), TComponent, 'DateField', TDateFieldProperty);
  RegisterComponentEditor(TDataSource, TDataSourceComponentEditor);
end;

end.
